	title Delay
	page	60,132

Delay_Text	segment byte public 'code'
	assume cs:Delay_Text

public	Delay

Delay	proc far			; call Delay( ms )

	push	bp
	mov	bp,sp
	sub	sp, 4
	push	si
	push	ds

	lds	si, [bp+6]
	mov	cx,[si]

Delay1:
	push	cx
	mov	cx, 411
Delay2:
	loop	Delay2
	pop	cx
	loop	Delay1

	pop	ds
	pop	si
	mov	sp,bp
	pop	bp
	ret	4

Delay  	endp

Delay_Text	ends
		end
